{% extends "Tramitedocumento/base.html" %}
{% load admin_static tags_tramite %}<!DOCTYPE html>

<title>{% block titulo %}TRÁMITE DOCUMENTARIO UDL {% endblock %}</title>
{% block extrastyle %}
    <link rel="stylesheet" type="text/css" href="{% static "custom/css/datepicker.css" %}"/>
    <link rel="stylesheet" type="text/css" href="{% static "custom/jquery-ui/css/jquery-ui-1.10.3.custom.min.css" %}"/>

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src="../../docs-assets/js/ie8-responsive-file-warning.js"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <style type="text/css">

        body {
            font-size: 13px;
        }

        .container {
            width: 100%;
        }

        .datepicker {
            z-index: 1151;
        }

        .ui-autocomplete {
            position: absolute;
            top: 0;
            left: 0;
            cursor: default;
            z-index: 1151;
        }

        #ModalHistorialDoc .modal-dialog {
            width: 800px;
        }

        /* Loading */
        #loader {
            background: #FFF373;
            border: 1px solid #F5F3B4;
            border-radius: 3px;
            left: 550px;
            padding: 5px;
            position: absolute;
            text-align: center;
            top: -80px;
            width: 130px;
            z-index: 9999;
        }

        .btn-primary-udl {
            background-color: #b4030d;
            border-color: #930209;
            color: #FFFFFF;
        }

        .btn-primary-udl:hover, .btn-primary-udl:focus {
            color: #FFFFFF;
            text-decoration: none;
            background-color: #930209;
            border-color: #780107;
        }

    </style>
{% endblock %}

{% block navbar-brand %}Trámite Documentario UDL {% endblock %}
{% block container %}
    <div class="row row-offcanvas row-offcanvas-right">
        {% block offcanvas %}
            <!--/span-->
            <div class="col-xs-6 col-sm-2 sidebar-offcanvas" id="sidebar" role="navigation">
                {% block content-sidebar %}
                    <ol class="breadcrumb">
                        <li><a href="/profile/">Inicio</a></li>
                        <li class="active">Mis Documentos</li>
                    </ol>
                    <h5><span class="glyphicon glyphicon-search"></span> Filtro de documentos</h5>
                    <form role='form' method="get" id="changelist-search" action="">
                        <div class="form-group input-sm">
                            <select class="form-control" id="lstdocumentos" name="documentos">
                                <!-- <option value="">- Seleccione documentos -</option> -->
                                <option value="derivados"
                                        {% if documentos|escape == 'derivados' %}selected="selected"{% endif %}>
                                    Derivados a usted
                                </option>
                                <option value="enviados"
                                        {% if documentos|escape == 'enviados' %}selected="selected"{% endif %}>Creados
                                    por usted
                                </option>
                            </select>
                        </div>
                        <div class="form-group input-sm">
                            <label><span class="glyphicon glyphicon-user"></span> Remitente</label>
                            <input type="text" value="{{ emisor|escape }}" placeholder="Busque por Remitente"
                                   class="form-control" name="emisor" id='emisor'>
                        </div>
                        <br>
                        <div class="form-group input-sm">
                            <label><span class="glyphicon glyphicon-barcode"></span> Código</label>
                            <input type="text" value="{{ codigo|escape }}" placeholder="Busque por Código"
                                   class="form-control" name="codigo" id='codigo'>
                        </div>
                        <br>
                        <div class="form-group input-sm">
                            <label><span class="glyphicon glyphicon-calendar"></span> Fecha</label>
                            <input type="text" value="{{ fecha|escape }}" placeholder="Busque por Fecha"
                                   class="form-control" name="fecha" id='dp3' data-date-format="dd/mm/yyyy">
                        </div>
                        <br>
                        <div class="form-group input-sm">
                            <input type="submit" value="Buscar" class="btn btn-primary-udl btn-small btn-block"
                                   id="btnBuscar">
                        </div>
                    </form>
                {% endblock %}
            </div><!--/span-->

            <div class="col-xs-12 col-sm-10">
                <p class="pull-right visible-xs">
                    <button type="button" class="btn btn-primary btn-xs" data-toggle="offcanvas">Toggle nav</button>
                </p>
                {% block content-right %}
                    <ol class="breadcrumb">
                        {% if documentos|escape == 'enviados' %}
                            <li class="active"><strong>Documentos enviados por usted</strong></li>
                        {% elif documentos|escape == 'derivados' %}
                            <li class="active"><strong>Documentos derivados a usted</strong></li>
                        {% endif %}
                    </ol>

                    <div id="loader" style="display: none;">
                        <strong><i class="ixcon-refresh"></i> Cargando datos</strong>
                    </div>
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th><span class="glyphicon glyphicon-barcode"></span> Código</th>
                            <th><span class="glyphicon glyphicon-user"></span> Remitente</th>
                            {% if documentos|escape == 'enviados' %}
                                <th><span class="glyphicon glyphicon-user"></span> Destinatario</th>
                            {% endif %}
                            <th><span class="glyphicon glyphicon-envelope"></span> Asunto</th>
                            <th><span class="glyphicon glyphicon-calendar"></span> Fecha</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for doc in results %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td><a name='modal_ver_documento' id='ver_documento/{{ doc.0.id }}/' data-toggle="modal"
                                       data-target="#ModalVerDoc" style="cursor: pointer">{{ doc.0.Codigo }}</a></td>
                                <td>{{ doc.0.Remitente.username }}</td>
                                {% if documentos|escape == 'enviados' %}
                                    <td>{{ doc.0.Destinatario.username }}</td>
                                {% endif %}
                                <td>{{ doc.0.Asunto }}</td>
                                <td>{{ doc.0.FechaIngreso|escape }}</td>
                                <td>{% if doc.0.atendido %}
                                    {% if doc.1 %}
                                        <a href="#" class="btn btn-success btn-sm" role="button">
                                            <span class="glyphicon glyphicon-export"></span> Derivado
                                        </a>
                                    {% endif %}
                                    {% if doc.0.estado|escape == 'aceptado' %}
                                        <a href="#" class="btn btn-success btn-sm" role="button">
                                            <span class="glyphicon glyphicon-ok"></span> Aceptado
                                        </a>
                                    {% elif doc.0.estado|escape == 'rechazado' %}
                                        <a href="#" class="btn btn-danger btn-sm" role="button">
                                            <span class="glyphicon glyphicon-remove-circle"></span> Rechazado
                                        </a>
                                    {% elif doc.0.estado|escape == 'cancelado' %}
                                        <a href="#" class="btn btn-danger btn-sm" role="button">
                                            <span class="glyphicon glyphicon-remove"></span> Cancelado
                                        </a>
                                    {% elif doc.0.estado|escape == 'extraviado' %}
                                        <a href="#" class="btn btn-warning btn-sm" role="button">
                                            <span class="glyphicon glyphicon-eye-close"></span> Extraviado
                                        </a>
                                    {% elif doc.0.estado|escape == 'archivado' %}
                                        <a href="#" class="btn btn-info btn-sm" role="button">
                                            <span class="glyphicon glyphicon-folder-close"></span> Archivado
                                        </a>
                                    {% else %}
                                        {{ doc.0.estado }}
                                    {% endif %}
                                    <a class="btn btn-default btn-sm" role="button" name='modal_historial_documento'
                                       id='historial/{{ doc.0.id }}/' data-toggle="modal"
                                       data-target="#ModalHistorialDoc">
                                        <span class="glyphicon glyphicon-list-alt"></span> Historial
                                    </a>
                                {% else %}
                                    {% if doc.2 %}

                                        <a href="#" class="btn btn-primary btn-sm" role="button">
                                            <span class="glyphicon glyphicon-hand-up"></span> en trámite
                                        </a>

                                    {% else %}

                                        {% if doc.1 %}
                                            <a href="#" class="btn btn-primary btn-sm" role="button">
                                                <span class="glyphicon glyphicon-hand-up"></span> en trámite
                                            </a>
                                            <a href="#" class="btn btn-success btn-sm" role="button">
                                                <span class="glyphicon glyphicon-hand-right"></span> Derivado
                                            </a>
                                        {% else %}
                                            <a class="btn btn-default btn-sm" role="button"
                                               name='modal_atender_documento' id='atender/{{ doc.0.id }}/'
                                               data-toggle="modal" data-target="#ModalAtenderDoc">
                                                <span class="glyphicon glyphicon-hand-up"></span> Atender
                                            </a>
                                            <a class="btn btn-default btn-sm" role="button"
                                               name='modal_derivar_documento' id='derivar/{{ doc.0.id }}/'
                                               data-toggle="modal" data-target="#ModalDerivarDoc">
                                                <span class="glyphicon glyphicon-hand-right"></span> Derivar
                                            </a>
                                        {% endif %}

                                    {% endif %}


                                    <a class="btn btn-default btn-sm" role="button" name='modal_historial_documento'
                                       id='historial/{{ doc.0.id }}/' data-toggle="modal"
                                       data-target="#ModalHistorialDoc">
                                        <span class="glyphicon glyphicon-list-alt"></span> Historial
                                    </a>
                                {% endif %}
                                </td>
                            </tr>
                        {% endfor %}

                        </tbody>
                    </table>
                    {% render_paginator 2 3 %}

                    <!-- Modal Ver Documento -->
                    <div class="modal fade" id="ModalVerDoc" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                         aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                        &times;
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel">Documento</h4>
                                </div>
                                <div class="modal-body" id='body-modal-doc'>
                                    ...
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->

                    <!-- Modal Historial Documento -->
                    <div class="modal fade" id="ModalHistorialDoc" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                        &times;
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel">Historial Documento</h4>
                                </div>
                                <div class="modal-body" id='body-modal-historial'>
                                    ...
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->

                    <!-- Modal Atender Documento-->
                    <div class="modal fade" id="ModalAtenderDoc" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                        &times;
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel">Atender Documento</h4>
                                </div>
                                <div class="modal-body" id='body-modal-atender'>
                                    ...
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    <button type="button" class="btn btn-primary" id='atender_documento'>Grabar</button>
                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->

                    <!-- Modal Derivar Documento -->
                    <div class="modal fade" id="ModalDerivarDoc" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                        &times;
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel">Derivar Documento</h4>
                                </div>
                                <div class="modal-body" id='body-modal-derivar'>
                                    ...
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    <button type="button" class="btn btn-primary" id='derivar_documento'>Grabar</button>
                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->
                {% endblock %}
            </div>
        {% endblock %}
    </div><!--/row-->

    <hr>

    <footer>
        {% block footer %}
            <p>&copy; UDL, Todos los derechos reservados 2018</p>
        {% endblock %}
    </footer>
{% endblock %}

{% block extra_javascript %}
    <script src="{% static "custom/jquery-ui/js/jquery-ui-1.10.3.custom.min.js" %}"></script>
    <script src="{% static "custom/js/Tramitedocumento/bootstrap-datepicker.js" %}"></script>

    <script type="text/javascript">

        $(document).ready(function () {
            $('#dp3').datepicker();
            $('#lstdocumentos').change(function () {
                $('#btnBuscar').click();
            });

            $('#loader')
                .ajaxStart(function () {
                    $(this).show();
                })
                .ajaxStop(function () {
                    $(this).hide();
                });

            $('#fecha_ingreso').datepicker();
            $('#fecha_documento').datepicker();

            $('#grabar_documento').on('click', function (e) {
                $('#form-nuevo-documento').submit();
            });

            $('#atender_documento').on('click', function (e) {
                var estado = $('#Estado').val();
                var comentario = $('#Comentario').val();
                if (estado == '') {
                    alert('Debe elegir el estado del documento');
                } else {
                    if (comentario == '') {
                        alert('Debe escribir un comentario');
                    } else {
                        $('#form-atender-documento').submit();
                    }
                }
            });

            $('#derivar_documento').on('click', function (e) {
                var destinatario = $('#input_destinatario').val();
                var comentario = $('#Descripcion').val();
                var archivo = $('#Archivo').val();
                if (destinatario == '') {
                    alert('Debe agregar un destinatario');
                } else {
                    if (comentario == '') {
                        alert('Debe escribir un comentario');
                    } else {
                        if (archivo == '') {
                            alert('Debe seleccionar un archivo');
                        } else {
                            $.ajax({
                                url: "verificar_destinatario/?term=" + destinatario,
                                dataType: "json",
                                success: function (data) {
                                    datos = []
                                    $.each(data, function (i, item) {
                                        datos.push({
                                            valor: item.pk,
                                            value: item.fields.Abreviatura,
                                            label: item.fields.ApellidoPaterno + " " + item.fields.ApellidoMaterno + " " + item.fields.Nombres + " " + item.fields.RazonSocial
                                        });
                                    });
                                    if (datos.length != 0) {
                                        $('#form-derivar-documento').submit();
                                    } else {
                                        alert('El destinatario es incorrecto, corregir por favor');
                                    }
                                },
                            });
                        }
                    }
                }
            });

            {% if verifica_post %}
                $('#btnNuevoDocumento').click();
            {% endif %}

            $("#remitente").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "json_usuarios/?term=" + request.term,
                        dataType: "json",
                        success: function (data) {
                            datos = []
                            $.each(data, function (i, item) {
                                datos.push({
                                    valor: item.pk,
                                    value: item.fields.Codigo,
                                    label: item.fields.ApellidoPaterno + " " + item.fields.ApellidoMaterno + " " + item.fields.Nombres + " " + item.fields.RazonSocial
                                });
                            });
                            response(datos);
                        },
                    });

                },
                select: function (event, ui) {
                    $('#remite').attr('value', ui.item.valor)
                }
            });

            $("#destinatario").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "json_usuarios/?term=" + request.term,
                        dataType: "json",
                        success: function (data) {
                            datos = []
                            $.each(data, function (i, item) {
                                datos.push({
                                    valor: item.pk,
                                    value: item.fields.Codigo,
                                    label: item.fields.ApellidoPaterno + " " + item.fields.ApellidoMaterno + " " + item.fields.Nombres + " " + item.fields.RazonSocial
                                });
                            });
                            response(datos);
                        },
                    });

                },
                select: function (event, ui) {
                    $('#destino').attr('value', ui.item.valor)
                }
            });

            $("#emisor").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "json_autoridades/?term=" + request.term,
                        dataType: "json",
                        success: function (data) {
                            datos = []
                            $.each(data, function (i, item) {
                                datos.push({
                                    valor: item.pk,
                                    value: item.fields.Abreviatura,
                                    label: item.fields.Apellidos + " " + item.fields.Nombres
                                });
                            });
                            response(datos);
                        },
                    });

                },
            });

            $('a[name="modal_ver_documento"]').click(function (e) {
                e.preventDefault();
                var url = $(this).attr('id');
                $('#body-modal-doc').load(url);
            });

            $('a[name="modal_historial_documento"]').click(function (e) {
                e.preventDefault();
                var url = $(this).attr('id');
                $('#body-modal-historial').load(url);
            });

            $('a[name="modal_atender_documento"]').click(function (e) {
                e.preventDefault();
                var url = $(this).attr('id');
                $('#body-modal-atender').load(url);
            });

            $('a[name="modal_derivar_documento"]').click(function (e) {
                e.preventDefault();
                var url = $(this).attr('id');
                $('#body-modal-derivar').load(url);
            });

        });

    </script>
{% endblock %}
